Escalation (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.escalation.server.session.Escalation class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.escalation.server.session
Class Escalation

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.escalation.server.session.Escalation

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable, JSON

    public class Escalation

extends PersistedObject
implements ContainerManagedTimestampTrackable, JSON

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `JSON_NAME`

Constructor Summary
`protected` | `Escalation()`

Method Summary
`protected EscalationAction` | `addAction(long waitTime, Action a)`
`boolean` | `allowContainerManagedCreationTime()` Define the management policy for the creation time.
`boolean` | `allowContainerManagedLastModifiedTime()` Define the management policy for the last modified time.
`boolean` | `equals(java.lang.Object obj)`
`EscalationAction` | `getAction(java.lang.Integer id)` Find an escalation action based on the ID of its associated action.
`java.util.List` | `getActions()`
`protected java.util.List` | `getActionsList()`
`long` | `getCreationTime()`
`java.lang.String` | `getDescription()`
`static org.json.JSONObject` | `getJSON(Escalation e)`
`java.lang.String` | `getJsonName()`
`long` | `getMaxPauseTime()`
`long` | `getModifiedTime()`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`boolean` | `isNotifyAll()`
`boolean` | `isPauseAllowed()`
`boolean` | `isRepeat()`
`protected void` | `setActionsList(java.util.List actions)`
`protected void` | `setCreationTime(long ctime)`
`protected void` | `setDescription(java.lang.String description)`
`protected void` | `setMaxPauseTime(long pauseTime)`
`void` | `setModifiedTime(long mtime)`
`protected void` | `setName(java.lang.String name)`
`protected void` | `setNotifyAll(boolean notifyAll)`
`protected void` | `setPauseAllowed(boolean allowed)`
`void` | `setRepeat(boolean repeat)`
`org.json.JSONObject` | `toJSON()` Convert the object to a Json object
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JSON_NAME

    public static final java.lang.String JSON_NAME

See Also:
  Constant Field Values

Constructor Detail

### Escalation

    protected Escalation()

Method Detail

### allowContainerManagedCreationTime

    public boolean allowContainerManagedCreationTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the creation time. If the creation time is set explicitly, an explicit management policy will be assumed always, regardless of the return value.

  Specified by:
    `allowContainerManagedCreationTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### allowContainerManagedLastModifiedTime

    public boolean allowContainerManagedLastModifiedTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the last modified time.

  Specified by:
    `allowContainerManagedLastModifiedTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### getName

    public java.lang.String getName()

### setName

    protected void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    protected void setDescription(java.lang.String description)

### isPauseAllowed

    public boolean isPauseAllowed()

### setPauseAllowed

    protected void setPauseAllowed(boolean allowed)

### getMaxPauseTime

    public long getMaxPauseTime()

### setMaxPauseTime

    protected void setMaxPauseTime(long pauseTime)

### isNotifyAll

    public boolean isNotifyAll()

### setNotifyAll

    protected void setNotifyAll(boolean notifyAll)

### getCreationTime

    public long getCreationTime()

### setCreationTime

    protected void setCreationTime(long ctime)

### getModifiedTime

    public long getModifiedTime()

### setModifiedTime

    public void setModifiedTime(long mtime)

### getActions

    public java.util.List getActions()

### getActionsList

    protected java.util.List getActionsList()

### setActionsList

    protected void setActionsList(java.util.List actions)

### addAction

    protected EscalationAction addAction(long waitTime,
                                         Action a)

### getAction

    public EscalationAction getAction(java.lang.Integer id)

  Find an escalation action based on the ID of its associated action.

### isRepeat

    public boolean isRepeat()

### setRepeat

    public void setRepeat(boolean repeat)

### toJSON

    public org.json.JSONObject toJSON()

  Description copied from interface: `JSON`
  Convert the object to a Json object

  Specified by:
    `toJSON` in interface `JSON`

### getJsonName

    public java.lang.String getJsonName()

  Specified by:
    `getJsonName` in interface `JSON`

### getJSON

    public static org.json.JSONObject getJSON(Escalation e)
                                       throws org.json.JSONException

  Throws:
    `org.json.JSONException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.